CKEDITOR.plugins.add( 'flash2',
{
	init: function( editor )
	{
		editor.addCommand( 'flash2Command', new CKEDITOR.dialogCommand( 'flash2Dialog' ) );
		editor.ui.addButton( 'flash2',
			{
				label: 'لإدراج فلاش يتم عرضه في صفحة مستقله بطريقة جميله',
				command: 'flash2Command',
				icon: this.path + 'flash2.gif'
			}
		);
		// dialog
		CKEDITOR.dialog.add( 'flash2Dialog', function( editor )
		{
			return {
				title : 'فلاش يتم عرضه في صفحة مستقله',
				width : 400,
				height : 'auto',
				contents :
				[
					{
						id : 'flash2',
						label : 'flash2',
						elements :
						[
							{
								type : 'html',
								html : '<center>ادخل رابط ملف فلاش يتم عرضة بشكل عادى شفاف - قم بتحديد عرض و ارتفاع صندوق عرض الملف</center>'
							},
							{
								type : 'text',
								id : 'text',
								label : 'أدخل الشرح المطلوب / نص الارتباط',
				     				validate: CKEDITOR.dialog.validate.notEmpty('برجاء ادخال النص المؤدى الى الرابط'),
								required : true,
								commit : function( me )
								{
									me.text = this.getValue();
								}
							},
							{
								type : 'text',
								id : 'url',
								label : 'الرابط',
								//default : 'http://www.saaid.net/flash/aqsa3_s.swf',
				     				validate: CKEDITOR.dialog.validate.regex(/(ftp|http|https):\/\/(\w+:{0,1}\w*@)?(\S+)(:[0-9]+)?(\/|\/([\w#!:.?+=&%@!\-\/]))?/, 'برجاء ادخال رابط صحيح'),
								required : true,
								commit : function( me )
								{
									me.url = this.getValue();
								}
							},
							{
								type : 'text',
								id : 'width',
								label : 'العرض - بكسل',
								validate : CKEDITOR.dialog.validate.notEmpty('لا يمكننى الموافقة على حقل فارغ'),
								default : '400',
								required : true,
								commit : function( me )
								{
									me.width = this.getValue();
								}
							},
							{
								type : 'text',
								id : 'height',
								label : 'الارتفاع -بكسل',
								validate : CKEDITOR.dialog.validate.notEmpty('لا يمكننى الموافقة على حقل فارغ'),
								default : '350',
								required : true,
								commit : function( me )
								{
									me.height = this.getValue();
								}
							}
						]
					}
				],
				onOk : function()
				{
					me = {},
					this.commitContent( me );
					editor.insertHtml('[url=' + editor.config.vbulletin.bburl + '/flash.php?play=' + me.url + '&w=' + me.width + '&h=' + me.height + ']' + me.text + '[/url]');
				}
			};
		});
	}
});